
QGIS Application - Bug report #21121

Hillshade Layer Style wrong if OpenCL acceleration is enabled

2019-01-29 07:00 PM - luca bellani

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Rasters

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28939

Description

Hello. I noticed that with certain DEM (not all), QGIS 3.4.4 generates a display problem in the "hillshade" style.

Only in the layer style, because the GDAL geo-process works perfectly.

Associated revisions

Revision 1aef9cfa - 2019-02-02 10:53 AM - Alessandro Pasotti

[opencl] Fix hillshade renderer with 16bit rasters

Fixes #21121

History

#1 - 2019-01-29 07:01 PM - luca bellani

- File dem_prueba.tif added

#2 - 2019-01-29 07:28 PM - Alessandro Pasotti

- Status changed from Open to Feedback

- Assignee set to Alessandro Pasotti

- Operating System changed from Windows 10 64 bit v. 1809 to Any

- Priority changed from High to Normal

- Affected QGIS version changed from 3.4.4 to 3.5(master)

I think it's a know issue and there is not much we can do, did you try to adjust the "Resampling" parameters in the renderer configuration?

#3 - 2019-01-29 09:36 PM - luca bellani

Salve. What is strange to me, is that in QGIS 2.18 it does not give any problem.

And it seems to be something random. In QGIS 3.4.4, I loaded the DEM again, and adjust the "Resampling" parameters "bilineal", and now all is ok.

#4 - 2019-01-29 10:04 PM - Alessandro Pasotti

I think it depends on the zoom level too.

#5 - 2019-01-30 11:21 AM - Giovanni Manghi
Alessandro Pasotti wrote:

I think it's a know issue and there is not much we can do, did you try to adjust the "Resampling" parameters in the renderer configuration?

closing then?

#6 - 2019-01-30 05:53 PM - luca bellani

- File comparacion.png added

- File DEM_prova2.rar added

I have reviewed other DEMs that gave me problems, and as can be seen in the comparative image, the problem is presented in QGIS 3, not in QGIS 2. I

have already completely manipulated the resampling options, but it is not solved.

It's funny that it's a bug, but only in the new version of QGIS.

Annex also another DEM, so that they can prove it.

Thanks for the support.

#7 - 2019-01-30 05:57 PM - Alessandro Pasotti

Out of curiosity: are you using OpenCL acceleration? If yes can you try to disable it?

#8 - 2019-01-30 08:56 PM - luca bellani

Yes! That's the reason!

Deactivating OpenGl and always putting the resampling in "bilinear" is displayed correctly.

Thank you!

#9 - 2019-01-30 10:27 PM - Giovanni Manghi

- Subject changed from Error Hillshade Layer Style to Hillshade Layer Style wrong if OpenCL acceleration is enabled

- Status changed from Feedback to Open

- Operating System deleted (Any)

#10 - 2019-01-31 09:27 PM - Alessandro Pasotti

Luca, can you please make a quick test with OpenCL activated and tell me if it works with the sampling bilinear option or if it does not?

If it does not work, can you please have a look to the QGIS messages (small icon at the bottom right) in the OpenCL section?

Also, please paste a picture of the OpenCL tab in your settings or copy-paste the information about your OpenCL device.

#11 - 2019-02-01 04:43 PM - luca bellani

- File 1.PNG added

- File 3.PNG added

I did the tests. When you activate OpenCl, even if you change the type of resampling, it is displayed incorrectly.

In the message window, I do not see the OpenCl tab, I do not know if I have something wrong installed. Annex images.

Thank you
#12 - 2019-02-02 10:58 AM - Alessandro Pasotti

- Status changed from Open to In Progress

- Category changed from Symbology to Rasters

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/9070

I'd like you to test if this patch solves your issue (with OpenCL ativated).

#13 - 2019-02-04 12:16 PM - Alessandro Pasotti

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|1aef9cfa491c6de60f8c700c3705a57c735f9442.

Files

2.PNG 204 KB 2019-01-29 luca bellani

dem_prueba.tif 20.6 KB 2019-01-29 luca bellani

comparacion.png 540 KB 2019-01-30 luca bellani

DEM_prova2.rar 169 KB 2019-01-30 luca bellani

1.PNG 19.1 KB 2019-02-01 luca bellani

3.PNG 81 KB 2019-02-01 luca bellani
